import request from '@/utils/request'

// 查询目标回顾行动项列表
export function listTargetaction(query) {
  return request({
    url: '/plant/targetaction/list',
    method: 'get',
    params: query
  })
}

// 查询目标回顾行动项详细
export function getTargetaction(id) {
  return request({
    url: '/plant/targetaction/' + id,
    method: 'get'
  })
}

// 新增目标回顾行动项
export function addTargetaction(data) {
  return request({
    url: '/plant/targetaction',
    method: 'post',
    data: data
  })
}

// 修改目标回顾行动项
export function updateTargetaction(data) {
  return request({
    url: '/plant/targetaction',
    method: 'put',
    data: data
  })
}

// 删除目标回顾行动项
export function delTargetaction(id) {
  return request({
    url: '/plant/targetaction/' + id,
    method: 'delete'
  })
}

// 导出目标回顾行动项
export function exportTargetaction(query) {
  return request({
    url: '/plant/targetaction/export',
    method: 'get',
    params: query
  })
}
